org.bouncycastle.crypto.macs

## Class OldHMac

- java.lang.Object
- - org.bouncycastle.crypto.macs.OldHMac

All Implemented Interfaces:
  Mac

    public class OldHMac
    extends java.lang.Object
    implements Mac

HMAC implementation based on RFC2104 H(K XOR opad, H(K XOR ipad, text))

### Constructor Summary

Constructors
Constructor and Description
`OldHMac(Digest digest)` Deprecated. uses incorrect pad for SHA-512 and SHA-384 use HMac.

### Method Summary

Methods
`int` `doFinal(byte[] out, int outOff)` Compute the final stage of the MAC writing the output to the out parameter.
`java.lang.String` `getAlgorithmName()` Return the name of the algorithm the MAC implements.
`int` `getMacSize()` Return the block size for this MAC (in bytes).
`Digest` `getUnderlyingDigest()`
`void` `init(CipherParameters params)` Initialise the MAC.
`void` `reset()` Reset the mac generator.
`void` `update(byte in)` add a single byte to the mac for processing.
`void` `update(byte[] in, int inOff, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OldHMac

    public OldHMac(Digest digest)

Deprecated. uses incorrect pad for SHA-512 and SHA-384 use HMac.

### Method Detail

#### getAlgorithmName

    public java.lang.String getAlgorithmName()

Description copied from interface: `Mac`
Return the name of the algorithm the MAC implements.

Specified by:
  `getAlgorithmName` in interface `Mac`
Returns:
  the name of the algorithm the MAC implements.

#### getUnderlyingDigest

    public Digest getUnderlyingDigest()

#### init

    public void init(CipherParameters params)

Description copied from interface: `Mac`
Initialise the MAC.

Specified by:
  `init` in interface `Mac`
Parameters:
  `params` - the key and other data required by the MAC.

#### getMacSize

    public int getMacSize()

Description copied from interface: `Mac`
Return the block size for this MAC (in bytes).

Specified by:
  `getMacSize` in interface `Mac`
Returns:
  the block size for this MAC in bytes.

#### update

    public void update(byte in)

Description copied from interface: `Mac`
add a single byte to the mac for processing.

Specified by:
  `update` in interface `Mac`
Parameters:
  `in` - the byte to be processed.

#### update

    public void update(byte[] in,
              int inOff,
              int len)

Specified by:
  `update` in interface `Mac`
Parameters:
  `in` - the array containing the input.
  `inOff` - the index in the array the data begins at.
  `len` - the length of the input starting at inOff.

#### doFinal

    public int doFinal(byte[] out,
              int outOff)

Description copied from interface: `Mac`
Compute the final stage of the MAC writing the output to the out parameter.

doFinal leaves the MAC in the same state it was after the last init.

Specified by:
  `doFinal` in interface `Mac`
Parameters:
  `out` - the array the MAC is to be output to.
  `outOff` - the offset into the out buffer the output is to start at.

#### reset

    public void reset()

Reset the mac generator.

Specified by:
  `reset` in interface `Mac`